%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define zipver  0.0
%define ziprev  r7253
%define zipname announcerplugin-%{ziprev}
%define dirname announcerplugin

Summary: Announcer plugin for Trac
Name: trac-announcer-plugin
Version: %{zipver}
Release: 0.1.%{ziprev}%{?dist}
Group: Applications/Internet
License: BSD
URL: http://trac-hacks.org/wiki/AnnouncerPlugin
# Source comes from svn with this download link:
#  http://trac-hacks.org/changeset/latest/announcerplugin?old_path=/&filename=announcerplugin&format=zip
Source0: %{zipname}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: python-setuptools
Requires: trac >= 0.11

# Must have setuptools to build the package
# The build portions moved to a subpackage in F-8
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

BuildArch: noarch
BuildRequires: python-devel

%description
This Trac plugin provides support for an extensible, user-customizable
notification system that can be used to completely replace Trac's default
notifications. 


%prep
%setup -q -n %{dirname}


%build
cd 0.11
%{__python} setup.py build


%install
rm -rf %{buildroot}
cd 0.11
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{python_sitelib}/*


%changelog
* Mon Dec 14 2009 Matthias Saou <http://freshrpms.net/> 0.0-0.1.r7253
- Initial RPM release.

